List webhooks for an email domain
GET
/
email_domains
/
{domain_id}
/
webhooks
List webhooks for an email domain
curl --request GET \
--url https://api.telnyx.com/v2/email_domains/{domain_id}/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.telnyx.com/v2/email_domains/{domain_id}/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.telnyx.com/v2/email_domains/{domain_id}/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174003",
"record_type": "email_webhook",
"url": "https://example.com/webhooks/email",
"events": [
"email.sent",
"email.delivered",
"email.bounced"
],
"domain_id": "123e4567-e89b-12d3-a456-426614174000",
"created_at": "2026-06-18T12:00:00Z",
"updated_at": "2026-06-18T12:00:00Z"
}
],
"meta": {
"page_number": 2,
"page_size": 2,
"total_pages": 1,
"total_results": 1
}
}{
"errors": [
{
"code": "10001",
"title": "Not Found",
"detail": "The requested email domain was not found"
}
]
}{
"errors": [
{
"code": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Email domain UUID
Query Parameters
Page number to return (offset pagination)
Required range:
x >= 1Number of records per page
Required range:
1 <= x <= 100Field to sort by. Prefix with - for descending order.
Available options:
created_at, -created_at Was this page helpful?
⌘I
List webhooks for an email domain
